#include "register.c"
#include "connection.c"
#include "function.c"
#include "display.c"
#include "initialize.c"

#include "Library/DS18B20.c"
#include "Library/RGB.c"

#define STEP_IN1 IN1
#define STEP_IN2 IN2
#define STEP_IN3 IN3
#define STEP_IN4 IN4
#include "Library/STEP.c"

#include "interrupt.c"

void main() {
  InitMCU();

  InitStep();                           // Step Motoru Hazirla

  LCD_Out(1,1,"     TRUDYO     ");      // 1.satir 1.stuna "     TRUDYO     " yaz
  LCD_Out(2,1," BASLANGIC KITI ");      // 2.satir 1.stuna " BASLANGIC KITI " yaz
  wait(1000);                           // 1 saniye bekle

  LCD_Out(1,1,"    28BYJ-48    ");      // 1.satir 1.stuna "    28BYJ-48    " yaz
  LCD_Out(2,1," STEP MOTOR UYG ");      // 2.satir 1.stuna " STEP MOTOR UYG " yaz
  wait(1000);                           // 1 saniye bekle

  LCD_Out(1,1,"HIZ:            ");      // 1.satir 1.stuna "HIZ:            " yaz
  LCD_Out(2,1,"KONUM:          ");      // 2.satir 1.stuna "KONUM:          " yaz

  // Sonsuz Dng
  while(1){
    // Hiz degerini Trimpot1'den oku ve ekrana yazdir
    speed=3000+ADC_Read(1)*7;              // Hiz 3000~10000us arasinda
    LCD_PrintInt(1,12,speed,5);            // 5 basamakli speed degerini 1.satir 12.stuna yaz

    // Konum degerini Trimpot2'den oku ve ekrana yazdir
    location=ADC_Read(3)*2;                // Konum 0-2048 arasinda olacak sekilde ayarlandi
    LCD_PrintInt(2,8,currentLocation,4);   // 4 basamakli currentLocation degerini 2.satir 8.stuna yaz
    Lcd_Chr(2,12,'/');                     // 2.satir 12.stuna / karakterini yazdir
    LCD_PrintInt(2,13,location,4);         // 4 basamakli location degerini 2.satir 13.stuna yaz
  }
}